Subject: bug#58098: closed (Re: bug#58098: Improve composition rules for Gumrukhi)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 28 Sep 2022 12:40:01 +0000

Your bug report

#58098: Improve composition rules for Gumrukhi

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
58098: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=58098
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#58098: Improve composition rules for Gumrukhi
From: Eli Zaretskii <[email-masked]>
To: समीर सिंह Sameer Singh<[email-masked]>
Cc: [email-masked]
Date: Wed, 28 Sep 2022 15:39:12 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: समीर सिंह Sameer Singh <[email-masked]>
> Date: Tue, 27 Sep 2022 20:54:22 +0530
> Cc: [email-masked]
> 
>  The form
> 
>         (chess-symbol #x1FA00 #x1FA67)
> 
>  requires that _both_ #x1FA00 and #x1FA67 be supported by a font, for
>  it to be eligible to display chess-symbols.  By contrast, the form
> 
>         (chess-symbol . [#x1FA00 #x1FA67])
> 
>  requires that _either_ of the two characters is supported.  So my
>  question is: do we really want _both_ of the characters supported by a
>  font, and if not, do we really want Emacs to reject such a font?
> 
>  I have updated the patch accordingly and replaced (chess-symbol #x1FA00 #x1FA67) with 
>  (chess-symbol . [#x1FA00 #x1FA67])
> 
>  > You don't have Symbola installed?
> 
>  I have the Symbola font installed via the gdouros-symbola-fonts package on my Fedora37 system, but
>  it does not seem to support
>  the chess-symbols block as verified by hb-view.
>  Its description in the fedora wiki also does not mention the chess-symbols block:
> 
>  Symbola covers the following scripts and symbols supported by The Unicode Standard 5.2:
>  Basic Latin, Latin-1 Supplement, Latin Extended-A, IPA Extensions, Spacing Modifier Letters,
>  Greek and Coptic, Cyrillic, Cyrillic Supplementary, General Punctuation, Superscripts and
>  Subscripts, Combining Diacritical Marks for Symbols, Letterlike Symbols, Number Forms,
>  Arrows, Mathematical Operators, Miscellaneous Technical, Control Pictures, Optical Character
>  Recognition, Box Drawing, Block Elements, Geometric Shapes, Miscellaneous Symbols,
>  Dingbats, Miscellaneous Mathematical Symbols-A, Supplemental Arrows-A, Supplemental
>  Arrows-B, Miscellaneous Mathematical Symbols-B, Supplemental Mathematical Operators,
>  Miscellaneous Symbols and Arrows, Supplemental Punctuation, CJK Symbols and Punctuation,
>  Yijing Hexagram Symbols, Vertical Forms, Combining Half Marks, CJK Compatibility Forms,
>  Specials, Tai Xuan Jing Symbols, Counting Rod Numerals, Mathematical Alphanumeric
>  Symbols, Mahjong Tile Symbols, Domino Tile Symbols. 

OK, I installed this on master.

Subject: Improve composition rules for Gumrukhi
From: समीर सिंह Sameer Singh<[email-masked]>
To: [email-masked]
Date: Tue, 27 Sep 2022 00:13:07 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi
In this patch I have added support for Gurmukhi Addak, Yakash, Udaat etc to
improve its composition rules.
I have also added the word "Gurmukhi" to the doc-string of punjabi-itrans
and punjabi-inscript so that they could be more easily found.

Finally I have also added support for chess symbols.

Please review the patch, it will be attached in the next mail.
Thanks.